#include "thread_win32.h"

using namespace thread_tools;

DWORD WINAPI
thread_tools::thread_function(PVOID arg)
{
   Thread * thread_ptr = reinterpret_cast< Thread* >(arg);
   thread_ptr->run();
   return NULL;
}
